class ModifyPraisesCountForChallenges < ActiveRecord::Migration[5.2]
  def change
    challenges = Challenge.where(nil).unscoped
    challenges.find_each do |c|
      praises_count = c.praise_treads.where(praise_or_tread: 1).count
      c.update_column(:praises_count, praises_count)
    end
  end
end
